You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2020-01-29 10:43:39

metastase
Member
From: La valette du var
Registered: 2009-08-04
Posts: 28

Plugin formcreator 2.9

Bonjour a tous.
Je viens de passer la mise a jour du plugin formcreator et j'ai un message sur la page des plugins :
You must run vendor/bin/robo build:fa-data in the directory of the plugin

Je me suis donc placé dans le répertoire du plugin et j'ai taper sans succès sous windows :

c:\php\php.exe -c "C:\serveurs\Apache24\php.ini" -m "C:\serveurs\Apache24\htdocs\glpi\plugins\formcreator\vendor\bin\" robo build:fa-data
c:\php\php.exe -c "C:\php\php.ini" -m "C:\serveurs\Apache24\htdocs\glpi\plugins\formcreator\vendor\bin\" robo build:fa-data
c:\php\php.exe -m "C:\serveurs\Apache24\htdocs\glpi\plugins\formcreator\vendor\bin\" robo build:fa-data
php -m "C:\serveurs\Apache24\htdocs\glpi\plugins\formcreator\vendor\bin\" robo build:fa-data

Il m'affiche en résultat les modules php et zend.

Si je tape :

C:\serveurs\Apache24\htdocs\glpi\plugins\formcreator\vendor\bin>php robo build:f
a-data
j'ai ce résultat

dir=$(cd "${0%[/\\]*}" > /dev/null; cd "../consolidation/robo" && pwd)

if [ -d /proc/cygdrive ]; then
    case $(which php) in
        $(readlink -n /proc/cygdrive)/*)
            # We are in Cygwin using Windows php, so the path must be translated

            dir=$(cygpath -m "$dir");
            ;;
    esac
fi

"${dir}/robo" "$@"


J'ai cherché dans le forum mais je ne trouve rien qui m'aide.
GLPI 9.4.5 (/glpi => C:\serveurs\Apache24\htdocs\glpi)
Installation mode: TARBALL
Operating system: Windows NT VGLPI 6.1 build 7601 (Windows Server 2008 R2 Datacenter Edition Service Pack 1) AMD64
PHP 5.6.5 apache2handler (Core, PDO, Phar, Reflection, SPL, SimpleXML, Zend OPcache, apache2handler, apc, apcu, bcmath, bz2,
    calendar, ctype, curl, date, dom, ereg, exif, fileinfo, filter, ftp, gd, hash, iconv, imap, json, ldap, libxml, mbstring,
    mcrypt, mhash, mysql, mysqli, mysqlnd, odbc, openssl, pcre, pdo_mysql, session, snmp, soap, standard, tokenizer, wddx, xml,
    xmlreader, xmlrpc, xmlwriter, zip, zlib)
Setup: max_execution_time="3000" memory_limit="128M" post_max_size="50M" safe_mode="" session.save_handler="files"
    upload_max_filesize="50M"
Software: Apache/2.4.12 (Win64) PHP/5.6.5 ()
    Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:72.0) Gecko/20100101 Firefox/72.0
Server Software: MySQL Community Server (GPL)
    Server Version: 5.6.23-log
    Server SQL Mode:
    Parameters: glpi@localhost/glpi
    Host info: localhost via TCP/IP
   
mysqli extension is installed
ctype extension is installed
fileinfo extension is installed
json extension is installed
mbstring extension is installed
iconv extension is installed
zlib extension is installed
curl extension is installed
gd extension is installed
simplexml extension is installed
xml extension is installed
ldap extension is installed
imap extension is installed
Zend OPcache extension is installed
APCu extension is installed
xmlrpc extension is installed
exif extension is installed
CAS extension is not present
Database version seems correct (5.6.23) - Perfect!Database version seems correct (5.6.23) - Perfect!
OKC:\serveurs\Apache24\htdocs\glpi/files/_log : OK
OKC:\serveurs\Apache24\htdocs\glpi/config : OK
OKC:\serveurs\Apache24\htdocs\glpi/files : OK
OKC:\serveurs\Apache24\htdocs\glpi/files/_dumps : OK
OKC:\serveurs\Apache24\htdocs\glpi/files/_sessions : OK
OKC:\serveurs\Apache24\htdocs\glpi/files/_cron : OK
OKC:\serveurs\Apache24\htdocs\glpi/files/_graphs : OK
OKC:\serveurs\Apache24\htdocs\glpi/files/_lock : OK
OKC:\serveurs\Apache24\htdocs\glpi/files/_plugins : OK
OKC:\serveurs\Apache24\htdocs\glpi/files/_tmp : OK
OKC:\serveurs\Apache24\htdocs\glpi/files/_cache : OK
OKC:\serveurs\Apache24\htdocs\glpi/files/_rss : OK
OKC:\serveurs\Apache24\htdocs\glpi/files/_uploads : OK
OKC:\serveurs\Apache24\htdocs\glpi/files/_pictures : OK

Si une âme charitable a une idée
Je suis perdu !


Cordialement,

Offline

#2 2020-01-29 12:36:32

metastase
Member
From: La valette du var
Registered: 2009-08-04
Posts: 28

Re: Plugin formcreator 2.9

J'ai enfin fini par réussir a faire le build !
Maintenant lors de la mise a jour il m'indique : Table 'glpi.glpi_plugin_formcreator_answers' doesn't exist


Cordialement,

Offline

#3 2020-01-29 12:42:16

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 4,950

Re: Plugin formcreator 2.9

avez vous pris la bonne source ?
https://github.com/pluginsGLPI/formcrea … .1.tar.bz2

lorsqu'une migration de base a échoue, je vous conseille de repartir du dump d'avant migration (restaurez dans une base vide pour éviter les problème de tables à moitié migrées…)


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.4.6(behaviours2.2.1+fusioninventoty 9.4+1.1+applicatifs2.5.0+fields 1.9.1) php7.2 mysql5.6 hebergé sur serveur mutualisé.

Offline

#4 2020-01-29 13:10:54

metastase
Member
From: La valette du var
Registered: 2009-08-04
Posts: 28

Re: Plugin formcreator 2.9

Bonjour Merci pour l'info.
Comme un "boulet" je n'ai pas fait de dump !
Du coup j'ai supprimé le plugin
Purger
Remis la derniere version du plugin 2.9.1
Puis
composer install

C:\serveurs\Apache24\htdocs\glpi\plugins\formcreator>c:\serveurs\apache24\htdocs
\glpi\plugins\formcreator\vendor\bin\robo build:fa-data

Plus de message me demandant de faire le build
Mais maintenant lors de l'installation :
Upgrade glpi_plugin_formcreator_answers (0 seconde)
Table 'glpi.glpi_plugin_formcreator_answers' doesn't exist

Please, check migration log


Alors que je ne veux plus faire un update mais une installation.
J'ai du raté une étape


Cordialement,

Offline

#5 2020-01-29 13:13:32

metastase
Member
From: La valette du var
Registered: 2009-08-04
Posts: 28

Re: Plugin formcreator 2.9

je vais ré installer avec le tar que vous m'avez indiqué


Cordialement,

Offline

#6 2020-01-29 13:22:11

metastase
Member
From: La valette du var
Registered: 2009-08-04
Posts: 28

Re: Plugin formcreator 2.9

toujours la même erreur
il veut me faire un upgrade

Upgrade glpi_plugin_formcreator_answers (0 seconde)
Table 'glpi.glpi_plugin_formcreator_answers' doesn't exist

Please, check migration log


Cordialement,

Offline

#7 2020-01-29 13:29:49

metastase
Member
From: La valette du var
Registered: 2009-08-04
Posts: 28

Re: Plugin formcreator 2.9

Migration Log : .. Comment lui indiquer qu'il n'y a plus les table et qu'il peut faire une installation et non upgrade ..

2020-01-29 11:34:50 [6@VGLPI]
0 seconde for "Upgrade to schema version 2.5" @ 2020-01-29 11:34:50 [6@VGLPI]
Table 'glpi.glpi_plugin_formcreator_answers' doesn't exist
  Backtrace :
  plugins\formcreator\install\upgrade_to_2.5.php:71  plugin_formcreator_upgrade_error()
  plugins\formcreator\install\upgrade_to_2.5.php:43  PluginFormcreatorUpgradeTo2_5->updateAnswer_2_5()
  plugins\formcreator\install\install.php:135        PluginFormcreatorUpgradeTo2_5->upgrade()
  plugins\formcreator\install\install.php:103        PluginFormcreatorInstall->upgradeOneStep()
  plugins\formcreator\hook.php:48                    PluginFormcreatorInstall->upgrade()
  inc\plugin.class.php:521                           plugin_formcreator_install()
  :                                                  Plugin->install()
  front\plugin.form.php:47                           call_user_func()
@ 2020-01-29 11:35:05 [6@VGLPI]
0 seconde for "Upgrade to schema version 2.5" @ 2020-01-29 11:35:05 [6@VGLPI]
Table 'glpi.glpi_plugin_formcreator_answers' doesn't exist
  Backtrace :
  plugins\formcreator\install\upgrade_to_2.5.php:71  plugin_formcreator_upgrade_error()
  plugins\formcreator\install\upgrade_to_2.5.php:43  PluginFormcreatorUpgradeTo2_5->updateAnswer_2_5()
  plugins\formcreator\install\install.php:135        PluginFormcreatorUpgradeTo2_5->upgrade()
  plugins\formcreator\install\install.php:103        PluginFormcreatorInstall->upgradeOneStep()
  plugins\formcreator\hook.php:48                    PluginFormcreatorInstall->upgrade()
  inc\plugin.class.php:521                           plugin_formcreator_install()
  :                                                  Plugin->install()
  front\plugin.form.php:47                           call_user_func()
@ 2020-01-29 11:41:10 [6@VGLPI]
0 seconde for "Upgrade to schema version 2.5" @ 2020-01-29 11:41:10 [6@VGLPI]
Table 'glpi.glpi_plugin_formcreator_answers' doesn't exist
  Backtrace :
  plugins\formcreator\install\upgrade_to_2.5.php:71  plugin_formcreator_upgrade_error()
  plugins\formcreator\install\upgrade_to_2.5.php:43  PluginFormcreatorUpgradeTo2_5->updateAnswer_2_5()
  plugins\formcreator\install\install.php:135        PluginFormcreatorUpgradeTo2_5->upgrade()
  plugins\formcreator\install\install.php:103        PluginFormcreatorInstall->upgradeOneStep()
  plugins\formcreator\hook.php:48                    PluginFormcreatorInstall->upgrade()
  inc\plugin.class.php:521                           plugin_formcreator_install()
  :                                                  Plugin->install()
  front\plugin.form.php:47                           call_user_func()
@ 2020-01-29 12:03:57 [6@VGLPI]
0 seconde for "Upgrade to schema version 2.5" @ 2020-01-29 12:03:57 [6@VGLPI]
Table 'glpi.glpi_plugin_formcreator_answers' doesn't exist
  Backtrace :
  plugins\formcreator\install\upgrade_to_2.5.php:71  plugin_formcreator_upgrade_error()
  plugins\formcreator\install\upgrade_to_2.5.php:43  PluginFormcreatorUpgradeTo2_5->updateAnswer_2_5()
  plugins\formcreator\install\install.php:135        PluginFormcreatorUpgradeTo2_5->upgrade()
  plugins\formcreator\install\install.php:103        PluginFormcreatorInstall->upgradeOneStep()
  plugins\formcreator\hook.php:48                    PluginFormcreatorInstall->upgrade()
  inc\plugin.class.php:521                           plugin_formcreator_install()
  :                                                  Plugin->install()
  front\plugin.form.php:47                           call_user_func()
@ 2020-01-29 12:08:23 [6@VGLPI]
0 seconde for "Upgrade to schema version 2.5" @ 2020-01-29 12:08:23 [6@VGLPI]
Table 'glpi.glpi_plugin_formcreator_answers' doesn't exist
  Backtrace :
  plugins\formcreator\install\upgrade_to_2.5.php:71  plugin_formcreator_upgrade_error()
  plugins\formcreator\install\upgrade_to_2.5.php:43  PluginFormcreatorUpgradeTo2_5->updateAnswer_2_5()
  plugins\formcreator\install\install.php:135        PluginFormcreatorUpgradeTo2_5->upgrade()
  plugins\formcreator\install\install.php:103        PluginFormcreatorInstall->upgradeOneStep()
  plugins\formcreator\hook.php:48                    PluginFormcreatorInstall->upgrade()
  inc\plugin.class.php:521                           plugin_formcreator_install()
  :                                                  Plugin->install()
  front\plugin.form.php:47                           call_user_func()
@ 2020-01-29 12:21:33 [6@VGLPI]
0 seconde for "Upgrade to schema version 2.5" @ 2020-01-29 12:21:33 [6@VGLPI]
Table 'glpi.glpi_plugin_formcreator_answers' doesn't exist
  Backtrace :
  plugins\formcreator\install\upgrade_to_2.5.php:71  plugin_formcreator_upgrade_error()
  plugins\formcreator\install\upgrade_to_2.5.php:43  PluginFormcreatorUpgradeTo2_5->updateAnswer_2_5()
  plugins\formcreator\install\install.php:135        PluginFormcreatorUpgradeTo2_5->upgrade()
  plugins\formcreator\install\install.php:103        PluginFormcreatorInstall->upgradeOneStep()
  plugins\formcreator\hook.php:48                    PluginFormcreatorInstall->upgrade()
  inc\plugin.class.php:521                           plugin_formcreator_install()
  :                                                  Plugin->install()
  front\plugin.form.php:47                           call_user_func()
@


Cordialement,

Offline

#8 2020-01-29 14:23:33

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 4,950

Re: Plugin formcreator 2.9

supprimer le dossier plugins/formcreator
dans l'interface graphique glpi   configuration>plugins>nettoyer le plugin manquant
extraite l'archive dans plugins
lancez l'installation dans l'interface


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.4.6(behaviours2.2.1+fusioninventoty 9.4+1.1+applicatifs2.5.0+fields 1.9.1) php7.2 mysql5.6 hebergé sur serveur mutualisé.

Offline

#9 2020-01-29 15:26:52

metastase
Member
From: La valette du var
Registered: 2009-08-04
Posts: 28

Re: Plugin formcreator 2.9

C'est ce que je fais

J'ai trouvé ! Enfin je pense
Dans le répertoire install du plugin j'ai supprimé tous les php qui parles d'upgrade et je n'ai laissé que l'install.php
Du coup il me fais la réinstallation !
Et j'ai de nouveau accès !


Cordialement,

Offline

Board footer

Powered by FluxBB